## libabigail 1.8

=== tests/data/test-read-dwarf/PR26261/Makefile ===
SRCS	= PR26261-obja.c PR26261-objb.c PR26261-main.c
EXE	= PR26261-exe
OBJS	= $(SRCS:.c=.o)
CFLAGS	= -Wall -g

all: $(EXE)

%.o: %.c
	$(CC) $(CFLAGS) -c $<

$(EXE): $(OBJS)
	gcc -fPIC $(OBJS) -o $@

cleanobjs:
	rm -rf $(OBJS)

cleanexe:
	rm $(EXE)

clean: cleanobjs
	rm -rf *~

## libabigail 0.1~20150306

=== debian/changelog ===
libabigail (0.1~20150306-1) experimental; urgency=medium

  * Snapshot, 20150306.

 -- Matthias Klose <doko@debian.org>  Fri, 06 Mar 2015 18:50:44 +0100

libabigail (0.1~20141111-1) experimental; urgency=medium

  * Snapshot, 20141111.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Nov 2014 12:19:03 +0100

libabigail (0.1~20141009-1) experimental; urgency=medium

  * Snapshot, 20141009.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 23:42:37 +0200

libabigail (0.1~20140812-1) experimental; urgency=low

  * Initial release (Closes: #757939).

 -- Matthias Klose <doko@debian.org>  Tue, 12 Aug 2014 16:40:49 +0200

=== debian/control ===
Source: libabigail
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 8),
  dh-autoreconf,
  pkg-config,
  libelf-dev,
  libdw-dev,
  libxml2-dev,
  libzip-dev,
  elfutils,
Standards-Version: 3.9.6
Section: libs
Homepage: https://sourceware.org/libabigail/

Package: libabigail-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libabigail0 (= ${binary:Version}), ${misc:Depends}
Description: ABI Generic Analysis and Instrumentation Library
 This is an interface to the GNU Compiler Collection for the collection
 and analysis of compiler-generated binaries.

Package: libabigail0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ABI Generic Analysis and Instrumentation Library
 This is an interface to the GNU Compiler Collection for the collection
 and analysis of compiler-generated binaries.

Package: libabigail-tools
Section: devel
Architecture: any
Multi-Arch: foreign
Depends: libabigail0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: ABI Generic Analysis and Instrumentation Library
 This is an interface to the GNU Compiler Collection for the collection
 and analysis of compiler-generated binaries.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-cxx11 \
		--disable-silent-rules \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		$(shell dpkg-buildflags --export=cmdline)

## libabigail 0.1~20150922

=== debian/changelog ===
libabigail (0.1~20150922-1) unstable; urgency=medium

  * Snapshot, 20150922.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Sep 2015 01:50:58 +0200

libabigail (0.1~20150814-1) unstable; urgency=medium

  * Snapshot, 20150814.
  * Rename libabigail-tools to abigail-tools.
  * Split out a abigail-doc package. Closes: #789821.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Aug 2015 12:33:01 +0200

libabigail (0.1~20150731-3) unstable; urgency=medium

  * Build-depend on rpm2cpio and cpio, tools package suggests these.

 -- Matthias Klose <doko@debian.org>  Fri, 07 Aug 2015 11:56:07 +0200

libabigail (0.1~20150731-2) unstable; urgency=medium

  * abipkgdiff: Add support for Debian binary packages.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Aug 2015 22:36:41 +0200

libabigail (0.1~20150731-1) unstable; urgency=medium

  * Snapshot, 20150731.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Aug 2015 09:47:59 +0200

libabigail (0.1~20150623-2) unstable; urgency=medium

  * Build-depend on texinfo.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Jun 2015 23:38:10 +0200

libabigail (0.1~20150623-1) unstable; urgency=medium

  * Snapshot, 20150623.
  * Stop building abiar, deprecated.
  * Build and install the manual pages.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Jun 2015 12:26:42 +0200

libabigail (0.1~20150411-1) unstable; urgency=medium

  * Snapshot, 20150411.

 -- Matthias Klose <doko@debian.org>  Sat, 11 Apr 2015 02:43:44 +0200

## libabigail 1.0~rc3

=== debian/changelog ===
libabigail (1.0~rc3-1) unstable; urgency=medium

  * Upstream release candidate.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Mar 2016 12:18:40 +0100

libabigail (1.0~rc2-1) unstable; urgency=medium

  * Upstream release candidate.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Jan 2016 12:30:48 +0100

=== debian/control ===
Source: libabigail
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 8),
  dh-autoreconf,
  pkg-config,
  libelf-dev,
  libdw-dev,
  libxml2-dev,
  elfutils,
  texinfo,
  python3-sphinx,
  doxygen,
  graphviz,
  cpio, rpm2cpio,
Build-Conflicts: libzip-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://sourceware.org/libabigail/

Package: libabigail-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libabigail0 (= ${binary:Version}), ${misc:Depends}
Suggests: abigail-doc
Description: ABI Generic Analysis and Instrumentation Library (development files)
 This is an interface to the GNU Compiler Collection for the collection
 and analysis of compiler-generated binaries.
 .
 This package contains the development files.

Package: libabigail0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ABI Generic Analysis and Instrumentation Library (runtime)
 This is an interface to the GNU Compiler Collection for the collection
 and analysis of compiler-generated binaries.
 .
 This package contains the runtime library.

Package: abigail-tools
Section: devel
Architecture: any
Multi-Arch: foreign
Depends: libabigail0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: cpio, rpm2cpio, abigail-doc
Replaces: libabigail-tools
Description: ABI Generic Analysis and Instrumentation Library (tools)
 This is an interface to the GNU Compiler Collection for the collection
 and analysis of compiler-generated binaries.
 .
 This package contains the tools.

Package: abigail-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: libabigail-dev (<< 0.1~20150809)
Description: ABI Generic Analysis and Instrumentation Library (documentation)
 This is an interface to the GNU Compiler Collection for the collection
 and analysis of compiler-generated binaries.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

builddir=build

%:
	dh $@ --parallel --builddirectory $(builddir) --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-cxx11 \
		--enable-apidoc=yes \
		--enable-manual=yes \
		--disable-silent-rules \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		$(shell dpkg-buildflags --export=cmdline)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C $(builddir)/doc/manuals html-doc man info
#	$(MAKE) -C $(builddir)/doc apidoc-html-doxygen

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C $(builddir)/doc/manuals install-man-and-info-doc \
		DESTDIR=$(CURDIR)/debian/tmp
#	$(MAKE) -C $(builddir)/doc apidoc-install-html-doxygen \
#		DESTDIR=$(CURDIR)/debian/tmp
	gunzip debian/tmp/usr/share/info/*.gz

## libabigail 1.0~rc5

=== debian/changelog ===
libabigail (1.0~rc5-4) unstable; urgency=medium

  * Set XDG_CACHE_HOME for running the tests.
  * Build-Depend on python, needed for the tests.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Sep 2016 21:28:27 +0000

libabigail (1.0~rc5-3) unstable; urgency=medium

  * Fix valgrind build dependency. 

 -- Matthias Klose <doko@debian.org>  Thu, 15 Sep 2016 19:26:48 +0200

libabigail (1.0~rc5-2) unstable; urgency=medium

  * Fix python configure check (Dodji Seketeli).

 -- Matthias Klose <doko@debian.org>  Wed, 14 Sep 2016 14:28:54 +0200

libabigail (1.0~rc5-1) unstable; urgency=medium

  * Upstream release candidate.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Sep 2016 15:55:18 +0200

libabigail (1.0~rc4-1) unstable; urgency=medium

  * Upstream release candidate.

 -- Matthias Klose <doko@debian.org>  Sun, 29 May 2016 19:30:08 +0200

## libabigail 1.0~rc6

=== debian/changelog ===
libabigail (1.0~rc6-1) unstable; urgency=medium

  * Upstream release candidate.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Nov 2016 00:18:13 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
   dh-autoreconf,
   pkg-config,
   libelf-dev,
@@ -14,8 +14,10 @@
   doxygen,
   graphviz,
   cpio, rpm2cpio,
+  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
+  python,
 Build-Conflicts: libzip-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://sourceware.org/libabigail/

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--enable-cxx11 \
+		--enable-bash-completion=yes \
 		--enable-apidoc=yes \
 		--enable-manual=yes \
 		--disable-silent-rules \
@@ -22,6 +23,10 @@
 	$(MAKE) -C $(builddir)/doc/manuals html-doc man info
 #	$(MAKE) -C $(builddir)/doc apidoc-html-doxygen
 
+override_dh_auto_test:
+	-tmp=$$(mktemp -d); \
+	XDG_CACHE_HOME=$$tmp dh_auto_test
+
 override_dh_auto_install:
 	dh_auto_install
 	$(MAKE) -C $(builddir)/doc/manuals install-man-and-info-doc \
@@ -29,3 +34,5 @@
 #	$(MAKE) -C $(builddir)/doc apidoc-install-html-doxygen \
 #		DESTDIR=$(CURDIR)/debian/tmp
 	gunzip debian/tmp/usr/share/info/*.gz
+	mkdir -p debian/tmp/usr/share/bash-completion/completions
+	cp bash-completion/abi* debian/tmp/usr/share/bash-completion/completions/.

## libabigail 1.2

=== debian/changelog ===
libabigail (1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Apr 2018 06:19:18 +0200

libabigail (1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Feb 2018 10:55:25 +0100

libabigail (1.0~rc6-2) unstable; urgency=medium

  * Bump standards version.
  * Build using GCC 7 and tighten dependency on the shared library.
    Closes: #871273.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Aug 2017 10:58:04 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
   valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
   python,
 Build-Conflicts: libzip-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Section: libs
 Homepage: https://sourceware.org/libabigail/

=== debian/watch ===
version=2
http://mirrors.kernel.org/sourceware/libabigail/libabigail-([\d\.]*)1.1.tar.gz

## libabigail 1.4

=== debian/changelog ===
libabigail (1.4-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Jul 2018 13:06:12 +0200

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
   graphviz,
   cpio, rpm2cpio,
   valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
-  python,
+  python3,
 Build-Conflicts: libzip-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Section: libs
 Homepage: https://sourceware.org/libabigail/

## libabigail 1.5

=== debian/changelog ===
libabigail (1.5-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Nov 2018 21:15:40 +0100

## libabigail 1.6

=== debian/changelog ===
libabigail (1.6-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:05:35 +0100

libabigail (1.6-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Apr 2019 10:57:16 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
   valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
   python3,
 Build-Conflicts: libzip-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Section: libs
 Homepage: https://sourceware.org/libabigail/

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,10 @@
 	-tmp=$$(mktemp -d); \
 	XDG_CACHE_HOME=$$tmp dh_auto_test
 
+override_dh_makeshlibs:
+	: # For new symbols when compiled with GCC 7
+	dh_makeshlibs -V'libabigail0 (>= 1.0~rc6-2~)'
+
 override_dh_auto_install:
 	dh_auto_install
 	$(MAKE) -C $(builddir)/doc/manuals install-man-and-info-doc \

## libabigail 1.7

=== debian/changelog ===
libabigail (1.7-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper and standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Apr 2020 13:34:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9),
-  dh-autoreconf,
+Build-Depends: debhelper (>= 10),
   pkg-config,
   libelf-dev,
   libdw-dev,
@@ -17,7 +16,7 @@
   valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
   python3,
 Build-Conflicts: libzip-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://sourceware.org/libabigail/

## libabigail 1.8

=== debian/changelog ===
libabigail (1.8-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 14 Feb 2022 12:16:59 -0800

libabigail (1.8-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper and standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Dec 2020 12:17:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: libabigail
 Priority: optional
-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 10),
-  pkg-config,
-  libelf-dev,
-  libdw-dev,
-  libxml2-dev,
-  elfutils,
-  texinfo,
-  python3-sphinx,
-  doxygen,
-  graphviz,
-  cpio, rpm2cpio,
-  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
-  python3,
+Build-Depends: cpio,
+               debhelper (>= 11),
+               doxygen,
+               elfutils,
+               graphviz,
+               libdw-dev,
+               libelf-dev,
+               libxml2-dev,
+               pkg-config,
+               python3,
+               python3-sphinx,
+               rpm2cpio,
+               texinfo,
+               valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x]
 Build-Conflicts: libzip-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://sourceware.org/libabigail/
 
@@ -36,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: ABI Generic Analysis and Instrumentation Library (runtime)
  This is an interface to the GNU Compiler Collection for the collection
  and analysis of compiler-generated binaries.
@@ -47,8 +49,8 @@
 Section: devel
 Architecture: any
 Multi-Arch: foreign
-Depends: libabigail0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Suggests: cpio, rpm2cpio, abigail-doc
+Depends: libabigail0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Suggests: abigail-doc, cpio, rpm2cpio
 Replaces: libabigail-tools
 Description: ABI Generic Analysis and Instrumentation Library (tools)
  This is an interface to the GNU Compiler Collection for the collection

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 builddir=build
 
 %:
-	dh $@ --parallel --builddirectory $(builddir) --with autoreconf
+	dh $@ --builddirectory $(builddir) --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -40,3 +40,7 @@
 	gunzip debian/tmp/usr/share/info/*.gz
 	mkdir -p debian/tmp/usr/share/bash-completion/completions
 	cp bash-completion/abi* debian/tmp/usr/share/bash-completion/completions/.
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## libabigail 1.8.2

=== debian/changelog ===
libabigail (1.8.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Mar 2021 07:00:33 +0100

## libabigail 2.0

=== debian/changelog ===
libabigail (2.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Oct 2021 14:00:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,22 @@
 Source: libabigail
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: cpio,
-               debhelper (>= 11),
-               doxygen,
-               elfutils,
-               graphviz,
-               libdw-dev,
-               libelf-dev,
-               libxml2-dev,
-               pkg-config,
-               python3,
-               python3-sphinx,
-               rpm2cpio,
-               texinfo,
-               valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x]
+Build-Depends: debhelper (>= 11),
+  pkg-config,
+  libelf-dev,
+  libdw-dev,
+  libxml2-dev,
+  elfutils,
+  texinfo,
+  python3-sphinx,
+  doxygen,
+  graphviz,
+  cpio, rpm2cpio,
+  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
+  python3,
 Build-Conflicts: libzip-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://sourceware.org/libabigail/
 
@@ -38,7 +36,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: ABI Generic Analysis and Instrumentation Library (runtime)
  This is an interface to the GNU Compiler Collection for the collection
  and analysis of compiler-generated binaries.
@@ -49,8 +47,8 @@
 Section: devel
 Architecture: any
 Multi-Arch: foreign
-Depends: libabigail0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Suggests: abigail-doc, cpio, rpm2cpio
+Depends: libabigail0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Suggests: cpio, rpm2cpio, abigail-doc
 Replaces: libabigail-tools
 Description: ABI Generic Analysis and Instrumentation Library (tools)
  This is an interface to the GNU Compiler Collection for the collection

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,3 @@
 	gunzip debian/tmp/usr/share/info/*.gz
 	mkdir -p debian/tmp/usr/share/bash-completion/completions
 	cp bash-completion/abi* debian/tmp/usr/share/bash-completion/completions/.
-
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=2
http://mirrors.kernel.org/sourceware/libabigail/libabigail-([\d\.]*).tar.gz

## libabigail 2.2

=== debian/changelog ===
libabigail (2.2-2) unstable; urgency=medium

  * Configure with --enable-ctf.
  * build-depend on: binutils-dev, python3-xdg, python3-rpm, python3-mock,
    rpm.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Feb 2023 09:28:17 +0100

libabigail (2.2-1) unstable; urgency=medium

  * New upstream version.
  * Update watch file.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Feb 2023 08:38:58 +0100

libabigail (2.1-1) unstable; urgency=medium

  * New upstream version.
  * Update d/copyright to reflect license change to Apache.2.0 plus
    LLVM exception.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Oct 2022 12:03:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 11),
   pkg-config,
   libelf-dev,
+  binutils-dev,
   libdw-dev,
   libxml2-dev,
   elfutils,
@@ -15,8 +16,10 @@
   cpio, rpm2cpio,
   valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
   python3,
+  python3-xdg, python3-rpm, python3-mock,
+  rpm,
 Build-Conflicts: libzip-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://sourceware.org/libabigail/

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--enable-ctf \
 		--enable-cxx11 \
 		--enable-bash-completion=yes \
 		--enable-apidoc=yes \

## libabigail 2.3

=== debian/changelog ===
libabigail (2.3-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Jun 2023 17:20:47 +0200

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,10 @@
   python3-sphinx,
   doxygen,
   graphviz,
-  cpio, rpm2cpio,
+  cpio,
   valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
   python3,
-  python3-xdg, python3-rpm, python3-mock,
-  rpm,
+  python3-xdg, python3-mock,
 Build-Conflicts: libzip-dev
 Standards-Version: 4.6.2
 Section: libs

## libabigail 2.4

=== debian/changelog ===
libabigail (2.4-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:41:52 +0000

libabigail (2.4-3) unstable; urgency=medium

  * Remove obsolete override for dh_makeshlibs (Zixing Liu).
  * Stop using python3-mock (Alexandre Detiste). Closes: #1064132.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Mar 2024 13:43:22 +0100

libabigail (2.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062217

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 08:33:29 +0000

libabigail (2.4-2) unstable; urgency=medium

  * Update from the 2.4 branch:
    - suppression: Add "has_strict_flexible_array_data_member_conversion"
      property.
    - Fix bug #31045 - Don't try setting translation unit for unique types.
      Closes: #1055637.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Nov 2023 09:08:55 +0100

libabigail (2.4-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 31 Oct 2023 12:03:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libabigail
 Priority: optional
-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 11),
   pkg-config,
   libelf-dev,
   binutils-dev,
@@ -13,10 +14,11 @@
   python3-sphinx,
   doxygen,
   graphviz,
-  cpio,
+  cpio, rpm2cpio,
   valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
   python3,
-  python3-xdg, python3-mock,
+  python3-xdg, python3-rpm,
+  rpm,
 Build-Conflicts: libzip-dev
 Standards-Version: 4.6.2
 Section: libs
@@ -26,7 +28,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libabigail0 (= ${binary:Version}), ${misc:Depends}
+Depends: libabigail0t64 (= ${binary:Version}), ${misc:Depends}
 Suggests: abigail-doc
 Description: ABI Generic Analysis and Instrumentation Library (development files)
  This is an interface to the GNU Compiler Collection for the collection
@@ -34,7 +36,10 @@
  .
  This package contains the development files.
 
-Package: libabigail0
+Package: libabigail0t64
+Provides: ${t64:Provides}
+Replaces: libabigail0
+Breaks: libabigail0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -49,7 +54,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: foreign
-Depends: libabigail0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libabigail0t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: cpio, rpm2cpio, abigail-doc
 Replaces: libabigail-tools
 Description: ABI Generic Analysis and Instrumentation Library (tools)

## libabigail 2.5

=== debian/changelog ===
libabigail (2.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1073170)

 -- Paul Gevers <elbrus@debian.org>  Fri, 14 Jun 2024 07:20:16 +0200

libabigail (2.5-1) unstable; urgency=medium

  * New upstream version.
  * Bump soname.
  * Add build dependencies: libbpf-dev, python3-git, python3-libarchive-c.

 -- Matthias Klose <doko@debian.org>  Thu, 02 May 2024 10:26:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: libabigail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 11),
-  pkg-config,
+  pkgconf,
   libelf-dev,
   binutils-dev,
+  libbpf-dev,
   libdw-dev,
   libxml2-dev,
   elfutils,
   texinfo,
+  python3-git,
+  python3-libarchive-c,
   python3-sphinx,
   doxygen,
   graphviz,
@@ -28,7 +30,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libabigail0t64 (= ${binary:Version}), ${misc:Depends}
+Depends: libabigail4 (= ${binary:Version}), ${misc:Depends}
 Suggests: abigail-doc
 Description: ABI Generic Analysis and Instrumentation Library (development files)
  This is an interface to the GNU Compiler Collection for the collection
@@ -36,10 +38,7 @@
  .
  This package contains the development files.
 
-Package: libabigail0t64
-Provides: ${t64:Provides}
-Replaces: libabigail0
-Breaks: libabigail0 (<< ${source:Version})
+Package: libabigail4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -54,7 +53,10 @@
 Section: devel
 Architecture: any
 Multi-Arch: foreign
-Depends: libabigail0t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libabigail4 (= ${binary:Version}),
+  ${shlibs:Depends}, ${misc:Depends}
+  python3-git,
+  python3-libarchive-c,
 Suggests: cpio, rpm2cpio, abigail-doc
 Replaces: libabigail-tools
 Description: ABI Generic Analysis and Instrumentation Library (tools)

## libabigail 2.6

=== debian/changelog ===
libabigail (2.6-2) unstable; urgency=medium

  * Source-only upload.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Nov 2024 12:37:01 +0100

libabigail (2.6-1) unstable; urgency=medium

  * New upstream version.
  * Build-depend on libxxhash-dev.
  * Bump libabigail soname.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Nov 2024 19:01:27 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
   binutils-dev,
   libbpf-dev,
   libdw-dev,
+  libxxhash-dev,
   libxml2-dev,
   elfutils,
   texinfo,
@@ -22,7 +23,7 @@
   python3-xdg, python3-rpm,
   rpm,
 Build-Conflicts: libzip-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://sourceware.org/libabigail/
 
@@ -30,7 +31,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libabigail4 (= ${binary:Version}), ${misc:Depends}
+Depends: libabigail5 (= ${binary:Version}), ${misc:Depends}
 Suggests: abigail-doc
 Description: ABI Generic Analysis and Instrumentation Library (development files)
  This is an interface to the GNU Compiler Collection for the collection
@@ -38,7 +39,7 @@
  .
  This package contains the development files.
 
-Package: libabigail4
+Package: libabigail5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -53,7 +54,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: foreign
-Depends: libabigail4 (= ${binary:Version}),
+Depends: libabigail5 (= ${binary:Version}),
   ${shlibs:Depends}, ${misc:Depends}
   python3-git,
   python3-libarchive-c,

## libabigail 2.7

=== debian/changelog ===
libabigail (2.7-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 10:24:33 +0200

libabigail (2.7-1) experimental; urgency=medium

  * New upstream version.
  * Bump libabigail soname.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Apr 2025 04:34:53 +0200

libabigail (2.6-3) unstable; urgency=medium

  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Mar 2025 11:06:52 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
   python3-xdg, python3-rpm,
   rpm,
 Build-Conflicts: libzip-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://sourceware.org/libabigail/
 
@@ -31,7 +31,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libabigail5 (= ${binary:Version}), ${misc:Depends}
+Depends: libabigail6 (= ${binary:Version}), ${misc:Depends}
 Suggests: abigail-doc
 Description: ABI Generic Analysis and Instrumentation Library (development files)
  This is an interface to the GNU Compiler Collection for the collection
@@ -39,7 +39,7 @@
  .
  This package contains the development files.
 
-Package: libabigail5
+Package: libabigail6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -54,8 +54,9 @@
 Section: devel
 Architecture: any
 Multi-Arch: foreign
-Depends: libabigail5 (= ${binary:Version}),
-  ${shlibs:Depends}, ${misc:Depends}
+Depends: libabigail6 (= ${binary:Version}),
+  ${shlibs:Depends}, ${misc:Depends},
+  python3,
   python3-git,
   python3-libarchive-c,
 Suggests: cpio, rpm2cpio, abigail-doc

## libabigail 2.8

=== tests/data/test-diff-filter/test38/Makefile ===
SRCS = test38-a.c test38-b.c test38-c.c
OBJS = $(SRCS:.c=.o)
CFLAGS = -Wall -g

all: test38-v0 test38-v1

.PHONY: clean cleanobjs

%.o: %.c
	$(CC) $(CFLAGS) -c $<

test38-v0: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $^

test38-v1: $(OBJS)
	$(CC) $(CFLAGS) -o $@ test38-a.o test38-c.o test38-b.o

cleanobjs:
	rm -rf $(OBJS)

clean: cleanobjs
	rm -rf test38-v0 test38-v1 *~

=== tests/data/test-symtab/basic/Makefile ===
srcs = $(wildcard *.c)
libs = $(srcs:.c=.so)

flags = -fPIC

all:	$(libs)

clean:
	rm $(libs)

no_debug_info.so: no_debug_info.c Makefile
	$(CC) $< -shared $(flags) -o $@

link_against_me.so: link_against_me.c
	$(CC) $< -shared $(flags) -o $@

%.so: %.c Makefile link_against_me.so
	$(CC) $< -shared $(flags) -g -o $@ link_against_me.so

=== debian/changelog ===
libabigail (2.8-2) unstable; urgency=medium

  * Fix abigail-tools dependency on libabigail.

 -- Matthias Klose <doko@debian.org>  Thu, 31 Jul 2025 12:23:44 +0200

libabigail (2.8-1) experimental; urgency=medium

  * New upstream version.
  * Bump libabigail soname.
  * Add lintian override for test data.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Jul 2025 16:11:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 11),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 11),
   pkgconf,
   libelf-dev,
   binutils-dev,
@@ -31,7 +31,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libabigail6 (= ${binary:Version}), ${misc:Depends}
+Depends: libabigail7 (= ${binary:Version}), ${misc:Depends}
 Suggests: abigail-doc
 Description: ABI Generic Analysis and Instrumentation Library (development files)
  This is an interface to the GNU Compiler Collection for the collection
@@ -39,7 +39,7 @@
  .
  This package contains the development files.
 
-Package: libabigail6
+Package: libabigail7
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -54,7 +54,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: foreign
-Depends: libabigail6 (= ${binary:Version}),
+Depends: libabigail7 (= ${binary:Version}),
   ${shlibs:Depends}, ${misc:Depends},
   python3,
   python3-git,

=== debian/rules ===
--- 
+++ 
@@ -28,10 +28,6 @@
 	-tmp=$$(mktemp -d); \
 	XDG_CACHE_HOME=$$tmp dh_auto_test
 
-override_dh_makeshlibs:
-	: # For new symbols when compiled with GCC 7
-	dh_makeshlibs -V'libabigail0 (>= 1.0~rc6-2~)'
-
 override_dh_auto_install:
 	dh_auto_install
 	$(MAKE) -C $(builddir)/doc/manuals install-man-and-info-doc \

## libabigail 2.9

=== tests/data/test-abidiff-exit/PR33055/Makefile ===
CXXFLAGS = -g -fPIC
LDFLAGS = ${CXXFLAGS} -shared

all: old-lib.so new-lib.so
.PHONY: all     

old-file.o: file.cpp
	g++ ${CXXFLAGS} -o "$@" -c "$<"

new-file.o: file.cpp
	g++ ${CXXFLAGS} -DNEW_VERSION -o "$@" -c "$<"

old-lib.so: old-file.o
	g++ ${LDFLAGS} -o "$@" "$<"

new-lib.so: new-file.o
	g++ ${LDFLAGS} -o "$@" "$<"

check: old-lib.so new-lib.so
	abidiff $^
.PHONY: check

clean:
	${RM} -f *.so *.o
.PHONY: clean

=== tests/data/test-read-common/PR26261/Makefile ===
SRCS	= PR26261-obja.c PR26261-objb.c PR26261-main.c
EXE	= PR26261-exe
OBJS	= $(SRCS:.c=.o)
CFLAGS	= -Wall -g -gctf

all: $(EXE)

%.o: %.c
	$(CC) $(CFLAGS) -c $<

$(EXE): $(OBJS)
	$(CC) -fPIC $(OBJS) -o $@

cleanobjs:
	rm -rf $(OBJS)

cleanexe:
	rm $(EXE)

clean: cleanobjs
	rm -rf *~

=== tests/data/test-symtab/kernel-modversions/Makefile ===
obj-m += one_of_each.o

# Overwrite to an actual kernel dir when using this:
#
# $ make KDIR=/path/to/actual/kernel/source/dir
#
KDIR := /tmp/some/kernel/source/dir

PWD := $(shell pwd)
default:
	make -C $(KDIR) tinyconfig
	cd $(KDIR) && ./scripts/config -e 64BIT -e MODULES -e MODVERSIONS -e CONFIG_DEBUG_INFO
	$(MAKE) -C $(KDIR) olddefconfig
	$(MAKE) -C $(KDIR)
	$(MAKE) -C $(KDIR) M=$(PWD) modules
	rm -rf *.mod.c *.o .*.cmd .*.d *.mod modules.order Module.symvers .tmp_versions

clean:
	rm -f *.ko

=== tests/data/test-symtab/kernel/Makefile ===
obj-m += empty.o
obj-m += single_function.o
obj-m += single_function_gpl.o
obj-m += single_variable.o
obj-m += single_variable_gpl.o
obj-m += one_of_each.o

KDIR := /tmp/some/kernel/source/dir

PWD := $(shell pwd)
default:
	make -C $(KDIR) tinyconfig
	pushd $(KDIR); ./scripts/config -e 64BIT -e MODULES; $(MAKE) olddefconfig; popd
	$(MAKE) -C $(KDIR)
	$(MAKE) -C $(KDIR) M=$(PWD) modules
	rm -rf *.mod.c *.o .*.cmd .*.d *.mod modules.order Module.symvers .tmp_versions

clean:
	rm *.ko

=== debian/changelog ===
libabigail (2.9-2) unstable; urgency=medium

  * Restrict the libbpf-dev build dependency to linux targets.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Nov 2025 02:08:18 +0100

libabigail (2.9-1) unstable; urgency=medium

  * New upstream version.
  * Bump libabigail soname.
  * Update copyright years.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Nov 2025 15:01:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
   pkgconf,
   libelf-dev,
   binutils-dev,
-  libbpf-dev,
+  libbpf-dev [linux-any],
   libdw-dev,
   libxxhash-dev,
   libxml2-dev,
@@ -31,7 +31,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libabigail7 (= ${binary:Version}), ${misc:Depends}
+Depends: libabigail8 (= ${binary:Version}), ${misc:Depends}
 Suggests: abigail-doc
 Description: ABI Generic Analysis and Instrumentation Library (development files)
  This is an interface to the GNU Compiler Collection for the collection
@@ -39,7 +39,7 @@
  .
  This package contains the development files.
 
-Package: libabigail7
+Package: libabigail8
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -54,7 +54,7 @@
 Section: devel
 Architecture: any
 Multi-Arch: foreign
-Depends: libabigail7 (= ${binary:Version}),
+Depends: libabigail8 (= ${binary:Version}),
   ${shlibs:Depends}, ${misc:Depends},
   python3,
   python3-git,

=== debian/watch ===
version=4
http://mirrors.kernel.org/sourceware/libabigail/libabigail-([\d\.]*).tar.xz
